### Property

# Adw Sidebar:selected

since: 1.9

#### Declaration

    property selected: guint [ read, write ]

#### Description [src]

The index of the currently selected item.

If set to `GTK_INVALID_LIST_POSITION`, no item is selected.

If `AdwSidebar:mode` is set to `ADW_SIDEBAR_MODE_PAGE`, the selection is invisible, but still tracked, indicating which item will be selected once the mode is changed to `ADW_SIDEBAR_MODE_SIDEBAR`.

See also: `AdwSidebar:selected-item`.

Type:`guint`

Available since: 1.9

Default value | 4294967295
Getter method | `adw_sidebar_get_selected()`
Setter method | `adw_sidebar_set_selected()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no